#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <stdlib.h>

#include <sys/socket.h>
#include <netinet/in.h>
#define __USE_MISC
#include <arpa/inet.h>

#include "bind.h"
#include "send.h"
#include "common.h"



int recv_term = 0;

int main ( int argc, char ** argv )
	{
	int fd;
	struct sdc_config conf =
		{
		NULL,
		2342
		};
	struct sockaddr_in dest_addr;

	conf.addr = malloc(16 * sizeof(char));
	if ( conf.addr == NULL )
		{
		perror("Couldn't allocate memory for listening address");
		return 1;
		}

	strncpy(conf.addr, "127.0.0.1", 16);
	
	if ( argc > 1 )
		{
		if ( inet_aton(argv[1], NULL) != 0 ) { strncpy(conf.addr, argv[1], 16); }
		if ( argc > 2 ) { sscanf(argv[2], "%hd", &(conf.port)); }
		}

	dest_addr.sin_family = AF_INET;
	dest_addr.sin_port = htons(conf.port);
	if ( inet_aton(conf.addr, &(dest_addr.sin_addr)) == 0 ) { return -1; }
	memset ( dest_addr.sin_zero, '\0', 8 );

	fd = create_sender();

	if ( fd == -1 )
		{
		perror("Couldn't send packet");
		return 1;
		}

	if ( send_beat(fd, &dest_addr ) == -1 ) 
		{
		perror("Couldn't send packet");
		return 1;
		}

	return 0;

	}
